Download it now!
Bug 74566 - FILESAVE: DOCX: 'Break to Next Page' converted to 'Page Break Before' in RT
Summary: FILESAVE: DOCX: 'Break to Next Page' converted to 'Page Break Before' in RT
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: pallavi.jadhav
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-05 13:41 UTC by pallavi.jadhav
Modified: 2014-06-27 19:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Contains a Page Break on 1st page. (12.38 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-05 13:41 UTC, pallavi.jadhav
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pallavi.jadhav 2014-02-05 13:41:24 UTC
Created attachment 93448 [details]
Contains a Page Break on 1st page.

Isuue :
DOCX containing a Page Breaks Page Break is converted to Page Break Before after RT.

Expected behavior :
Break to Next Page should be preserved as it is and not as Page Break Before.
The XML tag <w:br> with value "page" shoul get prserved in the second paragraph.

Current behavior :
Break to Next Page is preserved as Page Break Before.
The XML tag <w:pageBreakBefore /> is getting written after RT in third paragraph.
Comment 1 pallavi.jadhav 2014-02-06 06:11:53 UTC
****Correction****

Expected behavior : The XML tag <w:br> should be preserved as new paragraph after second paragraph.
Comment 2 Jorendc 2014-02-10 22:31:26 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 5c8a3bfc7e42009a7eaa6353cf2f66a14bfdab76
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-02-10_10:33:47

Kind regards,
Joren
Comment 3 Commit Notification 2014-02-26 09:50:57 UTC
Pallavi Jadhav committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a31fbb53dba76736b37213b98b64937f05929a67

fdo#74566:DOCX: Preservation <w:br> tag for Break to Next Page



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Jorendc 2014-03-19 16:47:27 UTC
Lets mark this one as RESOLVED FIXED